Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_local_var_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_local_var_mod.F90	(revision 5098)
@@ -1347,107 +1345,107 @@
 #endif
 
-      DEALLOCATE(d_u_vdf,d_v_vdf)
-      DEALLOCATE(d_t_oli,d_t_oro)
-      DEALLOCATE(d_u_oli,d_v_oli)
-      DEALLOCATE(d_u_oro,d_v_oro)
-      DEALLOCATE(d_t_oro_gw)
-      DEALLOCATE(d_u_oro_gw,d_v_oro_gw)
-      DEALLOCATE(d_t_lif,d_t_ec)
-      DEALLOCATE(d_u_lif,d_v_lif)
-      DEALLOCATE(d_ts, d_tr)
-      DEALLOCATE(topswad_aero,solswad_aero)
-      DEALLOCATE(topswai_aero,solswai_aero)
-      DEALLOCATE(topswad0_aero,solswad0_aero)
-      DEALLOCATE(toplwad_aero,sollwad_aero)
-      DEALLOCATE(toplwai_aero,sollwai_aero)
-      DEALLOCATE(toplwad0_aero,sollwad0_aero)
-      DEALLOCATE(topsw_aero,solsw_aero)
-      DEALLOCATE(topsw0_aero,solsw0_aero)
-      DEALLOCATE(topswcf_aero,solswcf_aero)
-      DEALLOCATE(stratomask) 
-      DEALLOCATE(tausum_aero) 
-      DEALLOCATE(drytausum_aero) 
-      DEALLOCATE(tau3d_aero) 
-      DEALLOCATE(dNovrN)
-      DEALLOCATE(zfice)
-      DEALLOCATE(od443aer)
-      DEALLOCATE(od550aer)
-      DEALLOCATE(od865aer)
-      DEALLOCATE(dryod550aer)
-      DEALLOCATE(abs550aer)
-      DEALLOCATE(ec550aer)
-      DEALLOCATE(od550lt1aer)
-      DEALLOCATE(sconcso4) 
-      DEALLOCATE(sconcno3) 
-      DEALLOCATE(sconcoa) 
-      DEALLOCATE(sconcbc) 
-      DEALLOCATE(sconcss) 
-      DEALLOCATE(sconcdust) 
-      DEALLOCATE(concso4) 
-      DEALLOCATE(concno3) 
-      DEALLOCATE(concoa) 
-      DEALLOCATE(concbc) 
-      DEALLOCATE(concss) 
-      DEALLOCATE(concdust) 
-      DEALLOCATE(loadso4) 
-      DEALLOCATE(loadoa) 
-      DEALLOCATE(loadbc) 
-      DEALLOCATE(loadss) 
-      DEALLOCATE(loaddust) 
-      DEALLOCATE(loadno3) 
-      DEALLOCATE(load_tmp1)
-      DEALLOCATE(load_tmp2)
-      DEALLOCATE(load_tmp3)
-      DEALLOCATE(load_tmp4)
-      DEALLOCATE(load_tmp5)
-      DEALLOCATE(load_tmp6)
-      DEALLOCATE(load_tmp7)
-      DEALLOCATE(load_tmp8)
-      DEALLOCATE(load_tmp9)
-      DEALLOCATE(load_tmp10)
-      DEALLOCATE(du_gwd_hines,dv_gwd_hines,d_t_hin)
-      DEALLOCATE(d_q_ch4)
-      DEALLOCATE(dv_gwd_rando,dv_gwd_front)
-      DEALLOCATE(east_gwstress,west_gwstress)
-
-!IM ajout variables CFMIP2/CMIP5
-      DEALLOCATE(topswad_aerop, solswad_aerop)
-      DEALLOCATE(topswai_aerop, solswai_aerop)
-      DEALLOCATE(topswad0_aerop, solswad0_aerop)
-      DEALLOCATE(topsw_aerop, topsw0_aerop)
-      DEALLOCATE(solsw_aerop, solsw0_aerop)
-      DEALLOCATE(topswcf_aerop, solswcf_aerop)
-!CK LW diagnostics
-      DEALLOCATE(toplwad_aerop, sollwad_aerop)
-      DEALLOCATE(toplwai_aerop, sollwai_aerop)
-      DEALLOCATE(toplwad0_aerop, sollwad0_aerop)
-
-!AI Ajout pour Ecrad (3Deffect)
-      DEALLOCATE(topswad_aero_s2, solswad_aero_s2)
-      DEALLOCATE(topswai_aero_s2, solswai_aero_s2)
-      DEALLOCATE(topswad0_aero_s2, solswad0_aero_s2)
-      DEALLOCATE(topsw_aero_s2, topsw0_aero_s2)
-      DEALLOCATE(solsw_aero_s2, solsw0_aero_s2)
-      DEALLOCATE(topswcf_aero_s2, solswcf_aero_s2)
-!CK LW diagnostics
-      DEALLOCATE(toplwad_aero_s2, sollwad_aero_s2)
-      DEALLOCATE(toplwai_aero_s2, sollwai_aero_s2)
-      DEALLOCATE(toplwad0_aero_s2, sollwad0_aero_s2)      
-
-! FH Ajout de celles necessaires au phys_output_write_mod
-      DEALLOCATE(tal1, pal1, pab1, pab2)
-      DEALLOCATE(ptstar, pt0, slp)
-!
-      DEALLOCATE(alp_wake)
-      DEALLOCATE(wake_h,wake_k)
-      DEALLOCATE(wake_omg)
-      DEALLOCATE(d_deltat_wk, d_deltaq_wk)
-      DEALLOCATE(d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk)
-      DEALLOCATE(d_deltat_wk_gw, d_deltaq_wk_gw)
-      DEALLOCATE(d_deltat_vdf, d_deltaq_vdf)
-!!      DEALLOCATE( d_s_vdf, d_dens_vdf)
-      DEALLOCATE(d_deltat_the, d_deltaq_the)
-!!      DEALLOCATE( d_s_the, d_dens_the)
-      DEALLOCATE(d_deltat_ajs_cv, d_deltaq_ajs_cv)
+    DEALLOCATE(d_u_vdf, d_v_vdf)
+    DEALLOCATE(d_t_oli, d_t_oro)
+    DEALLOCATE(d_u_oli, d_v_oli)
+    DEALLOCATE(d_u_oro, d_v_oro)
+    DEALLOCATE(d_t_oro_gw)
+    DEALLOCATE(d_u_oro_gw, d_v_oro_gw)
+    DEALLOCATE(d_t_lif, d_t_ec)
+    DEALLOCATE(d_u_lif, d_v_lif)
+    DEALLOCATE(d_ts, d_tr)
+    DEALLOCATE(topswad_aero, solswad_aero)
+    DEALLOCATE(topswai_aero, solswai_aero)
+    DEALLOCATE(topswad0_aero, solswad0_aero)
+    DEALLOCATE(toplwad_aero, sollwad_aero)
+    DEALLOCATE(toplwai_aero, sollwai_aero)
+    DEALLOCATE(toplwad0_aero, sollwad0_aero)
+    DEALLOCATE(topsw_aero, solsw_aero)
+    DEALLOCATE(topsw0_aero, solsw0_aero)
+    DEALLOCATE(topswcf_aero, solswcf_aero)
+    DEALLOCATE(stratomask)
+    DEALLOCATE(tausum_aero)
+    DEALLOCATE(drytausum_aero)
+    DEALLOCATE(tau3d_aero)
+    DEALLOCATE(dNovrN)
+    DEALLOCATE(zfice)
+    DEALLOCATE(od443aer)
+    DEALLOCATE(od550aer)
+    DEALLOCATE(od865aer)
+    DEALLOCATE(dryod550aer)
+    DEALLOCATE(abs550aer)
+    DEALLOCATE(ec550aer)
+    DEALLOCATE(od550lt1aer)
+    DEALLOCATE(sconcso4)
+    DEALLOCATE(sconcno3)
+    DEALLOCATE(sconcoa)
+    DEALLOCATE(sconcbc)
+    DEALLOCATE(sconcss)
+    DEALLOCATE(sconcdust)
+    DEALLOCATE(concso4)
+    DEALLOCATE(concno3)
+    DEALLOCATE(concoa)
+    DEALLOCATE(concbc)
+    DEALLOCATE(concss)
+    DEALLOCATE(concdust)
+    DEALLOCATE(loadso4)
+    DEALLOCATE(loadoa)
+    DEALLOCATE(loadbc)
+    DEALLOCATE(loadss)
+    DEALLOCATE(loaddust)
+    DEALLOCATE(loadno3)
+    DEALLOCATE(load_tmp1)
+    DEALLOCATE(load_tmp2)
+    DEALLOCATE(load_tmp3)
+    DEALLOCATE(load_tmp4)
+    DEALLOCATE(load_tmp5)
+    DEALLOCATE(load_tmp6)
+    DEALLOCATE(load_tmp7)
+    DEALLOCATE(load_tmp8)
+    DEALLOCATE(load_tmp9)
+    DEALLOCATE(load_tmp10)
+    DEALLOCATE(du_gwd_hines, dv_gwd_hines, d_t_hin)
+    DEALLOCATE(d_q_ch4)
+    DEALLOCATE(dv_gwd_rando, dv_gwd_front)
+    DEALLOCATE(east_gwstress, west_gwstress)
+
+    !IM ajout variables CFMIP2/CMIP5
+    DEALLOCATE(topswad_aerop, solswad_aerop)
+    DEALLOCATE(topswai_aerop, solswai_aerop)
+    DEALLOCATE(topswad0_aerop, solswad0_aerop)
+    DEALLOCATE(topsw_aerop, topsw0_aerop)
+    DEALLOCATE(solsw_aerop, solsw0_aerop)
+    DEALLOCATE(topswcf_aerop, solswcf_aerop)
+    !CK LW diagnostics
+    DEALLOCATE(toplwad_aerop, sollwad_aerop)
+    DEALLOCATE(toplwai_aerop, sollwai_aerop)
+    DEALLOCATE(toplwad0_aerop, sollwad0_aerop)
+
+    !AI Ajout pour Ecrad (3Deffect)
+    DEALLOCATE(topswad_aero_s2, solswad_aero_s2)
+    DEALLOCATE(topswai_aero_s2, solswai_aero_s2)
+    DEALLOCATE(topswad0_aero_s2, solswad0_aero_s2)
+    DEALLOCATE(topsw_aero_s2, topsw0_aero_s2)
+    DEALLOCATE(solsw_aero_s2, solsw0_aero_s2)
+    DEALLOCATE(topswcf_aero_s2, solswcf_aero_s2)
+    !CK LW diagnostics
+    DEALLOCATE(toplwad_aero_s2, sollwad_aero_s2)
+    DEALLOCATE(toplwai_aero_s2, sollwai_aero_s2)
+    DEALLOCATE(toplwad0_aero_s2, sollwad0_aero_s2)
+
+    ! FH Ajout de celles necessaires au phys_output_write_mod
+    DEALLOCATE(tal1, pal1, pab1, pab2)
+    DEALLOCATE(ptstar, pt0, slp)
+    !
+    DEALLOCATE(alp_wake)
+    DEALLOCATE(wake_h, wake_k)
+    DEALLOCATE(wake_omg)
+    DEALLOCATE(d_deltat_wk, d_deltaq_wk)
+    DEALLOCATE(d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk)
+    DEALLOCATE(d_deltat_wk_gw, d_deltaq_wk_gw)
+    DEALLOCATE(d_deltat_vdf, d_deltaq_vdf)
+    !!      DEALLOCATE( d_s_vdf, d_dens_vdf)
+    DEALLOCATE(d_deltat_the, d_deltaq_the)
+    !!      DEALLOCATE( d_s_the, d_dens_the)
+    DEALLOCATE(d_deltat_ajs_cv, d_deltaq_ajs_cv)
 #ifdef ISO
       DEALLOCATE(d_deltaxt_wk)
@@ -1456,43 +1454,43 @@
       DEALLOCATE(d_deltaxt_vdf)
 #endif
-!
-      DEALLOCATE(bils)
-      DEALLOCATE(cdragm, cdragh, cldh, cldl)
-      DEALLOCATE(cldm, cldq, cldt, qsat2m)
-      DEALLOCATE(JrNt)
-      DEALLOCATE(dthmin, evap, snowerosion, fder, plcl, plfc)
-      DEALLOCATE(prw, prlw, prsw, prbsw, water_budget, zustar, zu10m, zv10m, rh2m, s_lcl)
-      DEALLOCATE(s_pblh, s_pblt, s_therm)
-!
-!nrlmd+jyg<
-      DEALLOCATE(s_pblh_x, s_pblh_w)
-      DEALLOCATE(s_lcl_x, s_lcl_w)
-!>nrlmd+jyg
-!
-      DEALLOCATE(slab_wfbils, tpot, tpote, ue)
-      DEALLOCATE(uq, ve, vq, zxffonte)
-      DEALLOCATE(uwat, vwat)
-      DEALLOCATE(zxfqcalving, zxfluxlat)
-      DEALLOCATE(zxrunofflic)
-      DEALLOCATE(zxustartlic, zxrhoslic, zxqsaltlic)
-      DEALLOCATE(zxtsol, snow_lsc, zxfqfonte, zxqsurf)
-      DEALLOCATE(rain_lsc)
-      DEALLOCATE(rain_num)
-      DEALLOCATE(qlth, qith, qsith, wiceth)
-!
-      DEALLOCATE(sens_x, sens_w)
-      DEALLOCATE(zxfluxlat_x, zxfluxlat_w)
-      DEALLOCATE(delta_qsurf)
-!jyg<
-!!      DEALLOCATE(t_x, t_w)
-!!      DEALLOCATE(q_x, q_w)
-!>jyg
-      DEALLOCATE(d_t_vdf_x, d_t_vdf_w)
-      DEALLOCATE(d_q_vdf_x, d_q_vdf_w)
-      DEALLOCATE(pbl_tke_input)
-      DEALLOCATE(t_therm, q_therm, u_therm, v_therm)
-      DEALLOCATE(cdragh_x, cdragh_w)
-      DEALLOCATE(cdragm_x, cdragm_w)
-      DEALLOCATE(kh, kh_x, kh_w)
+    !
+    DEALLOCATE(bils)
+    DEALLOCATE(cdragm, cdragh, cldh, cldl)
+    DEALLOCATE(cldm, cldq, cldt, qsat2m)
+    DEALLOCATE(JrNt)
+    DEALLOCATE(dthmin, evap, snowerosion, fder, plcl, plfc)
+    DEALLOCATE(prw, prlw, prsw, prbsw, water_budget, zustar, zu10m, zv10m, rh2m, s_lcl)
+    DEALLOCATE(s_pblh, s_pblt, s_therm)
+    !
+    !nrlmd+jyg<
+    DEALLOCATE(s_pblh_x, s_pblh_w)
+    DEALLOCATE(s_lcl_x, s_lcl_w)
+    !>nrlmd+jyg
+    !
+    DEALLOCATE(slab_wfbils, tpot, tpote, ue)
+    DEALLOCATE(uq, ve, vq, zxffonte)
+    DEALLOCATE(uwat, vwat)
+    DEALLOCATE(zxfqcalving, zxfluxlat)
+    DEALLOCATE(zxrunofflic)
+    DEALLOCATE(zxustartlic, zxrhoslic, zxqsaltlic)
+    DEALLOCATE(zxtsol, snow_lsc, zxfqfonte, zxqsurf)
+    DEALLOCATE(rain_lsc)
+    DEALLOCATE(rain_num)
+    DEALLOCATE(qlth, qith, qsith, wiceth)
+    !
+    DEALLOCATE(sens_x, sens_w)
+    DEALLOCATE(zxfluxlat_x, zxfluxlat_w)
+    DEALLOCATE(delta_qsurf)
+    !jyg<
+    !!      DEALLOCATE(t_x, t_w)
+    !!      DEALLOCATE(q_x, q_w)
+    !>jyg
+    DEALLOCATE(d_t_vdf_x, d_t_vdf_w)
+    DEALLOCATE(d_q_vdf_x, d_q_vdf_w)
+    DEALLOCATE(pbl_tke_input)
+    DEALLOCATE(t_therm, q_therm, u_therm, v_therm)
+    DEALLOCATE(cdragh_x, cdragh_w)
+    DEALLOCATE(cdragm_x, cdragm_w)
+    DEALLOCATE(kh, kh_x, kh_w)
 #ifdef ISO
       DEALLOCATE(xtevap,xtprw)
@@ -1505,53 +1503,53 @@
       DEALLOCATE(h1_diag,runoff_diag,xtrunoff_diag)
 #endif
-!
-      DEALLOCATE(ptconv)
-      DEALLOCATE(ratqsc)
-!
-      DEALLOCATE(wbeff, convoccur, zmax_th)
-      DEALLOCATE(zq2m, zt2m, weak_inversion)
-      DEALLOCATE(zt2m_min_mon, zt2m_max_mon)
-      DEALLOCATE(t2m_min_mon, t2m_max_mon)
-      DEALLOCATE(sens, flwp, fiwp)
-      DEALLOCATE(alp_bl_conv,alp_bl_det)
-      DEALLOCATE(alp_bl_fluct_m,alp_bl_fluct_tke)
-      DEALLOCATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
-      DEALLOCATE(proba_notrig, random_notrig)
-!FC
-      DEALLOCATE(zxfluxq,zxfluxt)
-
-      DEALLOCATE(dnwd0)
-!      DEALLOCATE(upwd, omega, coefh)
-      DEALLOCATE(omega)
-      DEALLOCATE(epmax_diag)
-!      DEALLOCATE(coefm, lambda_th, cldemi)
-      DEALLOCATE(lambda_th, cldemi)
-      DEALLOCATE(cldfra, cldtau, fiwc)
-      DEALLOCATE(fl, re, flwc)
-      DEALLOCATE(ref_liq, ref_ice, theta)
-      DEALLOCATE(ref_liq_pi, ref_ice_pi)
-      DEALLOCATE(zphi, zx_rh, zx_rhl, zx_rhi)
-      DEALLOCATE(pmfd, pmfu)
-
-      DEALLOCATE(t2m, fluxlat)
-      DEALLOCATE(fsollw, evap_pot)
-      DEALLOCATE(fsolsw, wfbils)
-      DEALLOCATE(wfevap)
-
-      DEALLOCATE(pmflxr, pmflxs)
-      DEALLOCATE(wdtrainA, wdtrainS, wdtrainM)
-      DEALLOCATE(upwd, dnwd)
-      DEALLOCATE(ep)
-      DEALLOCATE(da, mp)
-      DEALLOCATE(phi)
-      DEALLOCATE(wght_cvfd)
-      DEALLOCATE(phi2)
-      DEALLOCATE(d1a, dam)
-      DEALLOCATE(ev)
-      DEALLOCATE(elij)
-      DEALLOCATE(qtaa)
-      DEALLOCATE(clw)
-      DEALLOCATE(epmlmMm, eplaMm)
-      DEALLOCATE(sij)
+    !
+    DEALLOCATE(ptconv)
+    DEALLOCATE(ratqsc)
+    !
+    DEALLOCATE(wbeff, convoccur, zmax_th)
+    DEALLOCATE(zq2m, zt2m, weak_inversion)
+    DEALLOCATE(zt2m_min_mon, zt2m_max_mon)
+    DEALLOCATE(t2m_min_mon, t2m_max_mon)
+    DEALLOCATE(sens, flwp, fiwp)
+    DEALLOCATE(alp_bl_conv, alp_bl_det)
+    DEALLOCATE(alp_bl_fluct_m, alp_bl_fluct_tke)
+    DEALLOCATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
+    DEALLOCATE(proba_notrig, random_notrig)
+    !FC
+    DEALLOCATE(zxfluxq, zxfluxt)
+
+    DEALLOCATE(dnwd0)
+    !      DEALLOCATE(upwd, omega, coefh)
+    DEALLOCATE(omega)
+    DEALLOCATE(epmax_diag)
+    !      DEALLOCATE(coefm, lambda_th, cldemi)
+    DEALLOCATE(lambda_th, cldemi)
+    DEALLOCATE(cldfra, cldtau, fiwc)
+    DEALLOCATE(fl, re, flwc)
+    DEALLOCATE(ref_liq, ref_ice, theta)
+    DEALLOCATE(ref_liq_pi, ref_ice_pi)
+    DEALLOCATE(zphi, zx_rh, zx_rhl, zx_rhi)
+    DEALLOCATE(pmfd, pmfu)
+
+    DEALLOCATE(t2m, fluxlat)
+    DEALLOCATE(fsollw, evap_pot)
+    DEALLOCATE(fsolsw, wfbils)
+    DEALLOCATE(wfevap)
+
+    DEALLOCATE(pmflxr, pmflxs)
+    DEALLOCATE(wdtrainA, wdtrainS, wdtrainM)
+    DEALLOCATE(upwd, dnwd)
+    DEALLOCATE(ep)
+    DEALLOCATE(da, mp)
+    DEALLOCATE(phi)
+    DEALLOCATE(wght_cvfd)
+    DEALLOCATE(phi2)
+    DEALLOCATE(d1a, dam)
+    DEALLOCATE(ev)
+    DEALLOCATE(elij)
+    DEALLOCATE(qtaa)
+    DEALLOCATE(clw)
+    DEALLOCATE(epmlmMm, eplaMm)
+    DEALLOCATE(sij)
 #ifdef ISO
       DEALLOCATE(xtwdtrainA)
@@ -1579,51 +1577,51 @@
 
 
-      DEALLOCATE(prfl, psfl, bsfl, fraca, Vprecip)
-      DEALLOCATE(zw2)
-
-      DEALLOCATE(fluxu, fluxv)
-      DEALLOCATE(fluxt)
-
-      DEALLOCATE(uwriteSTD, vwriteSTD)
-      DEALLOCATE(wwriteSTD, phiwriteSTD)
-      DEALLOCATE(qwriteSTD, twriteSTD, rhwriteSTD)
-
-! ug et d'autres encore:
-      DEALLOCATE(beta_prec)
-      DEALLOCATE(rneb)
-      DEALLOCATE(pfraclr,pfracld)
-      DEALLOCATE(cldfraliq)
-      DEALLOCATE(sigma2_icefracturb)
-      DEALLOCATE(mean_icefracturb)
-      DEALLOCATE (zxsnow,snowhgt,qsnow,to_ice,sissnow,runoff,albsol3_lic)
-      DEALLOCATE(distcltop)
-      DEALLOCATE(temp_cltop)
+    DEALLOCATE(prfl, psfl, bsfl, fraca, Vprecip)
+    DEALLOCATE(zw2)
+
+    DEALLOCATE(fluxu, fluxv)
+    DEALLOCATE(fluxt)
+
+    DEALLOCATE(uwriteSTD, vwriteSTD)
+    DEALLOCATE(wwriteSTD, phiwriteSTD)
+    DEALLOCATE(qwriteSTD, twriteSTD, rhwriteSTD)
+
+    ! ug et d'autres encore:
+    DEALLOCATE(beta_prec)
+    DEALLOCATE(rneb)
+    DEALLOCATE(pfraclr, pfracld)
+    DEALLOCATE(cldfraliq)
+    DEALLOCATE(sigma2_icefracturb)
+    DEALLOCATE(mean_icefracturb)
+    DEALLOCATE (zxsnow, snowhgt, qsnow, to_ice, sissnow, runoff, albsol3_lic)
+    DEALLOCATE(distcltop)
+    DEALLOCATE(temp_cltop)
 #ifdef ISO
       DEALLOCATE (zxxtsnow,xtVprecip,xtVprecipi,pxtrfl,pxtsfl)
 #endif
 
-      DEALLOCATE (p_tropopause)
-      DEALLOCATE (z_tropopause)
-      DEALLOCATE (t_tropopause)
-      DEALLOCATE(zn2mout)
-
-! Supersaturation
-      DEALLOCATE(rneb_seri)
-      DEALLOCATE(d_rneb_dyn)
-      DEALLOCATE(qclr, qcld, qss, qvc)
-      DEALLOCATE(rnebclr, rnebss, gamma_ss)
-      DEALLOCATE(N1_ss, N2_ss)
-      DEALLOCATE(drneb_sub, drneb_con, drneb_tur, drneb_avi)
-      DEALLOCATE(zqsatl, zqsats)
-      DEALLOCATE(Tcontr, qcontr, qcontr2, fcontrN, fcontrP)
-
-!--POPRECIP variables
-      DEALLOCATE(qraindiag, qsnowdiag)
-      DEALLOCATE(dqreva, dqssub)
-      DEALLOCATE(dqrauto, dqrcol, dqrmelt, dqrfreez)
-      DEALLOCATE(dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez)
-
-#ifdef CPP_StratAer
-! variables for strat. aerosol CK
+    DEALLOCATE (p_tropopause)
+    DEALLOCATE (z_tropopause)
+    DEALLOCATE (t_tropopause)
+    DEALLOCATE(zn2mout)
+
+    ! Supersaturation
+    DEALLOCATE(rneb_seri)
+    DEALLOCATE(d_rneb_dyn)
+    DEALLOCATE(qclr, qcld, qss, qvc)
+    DEALLOCATE(rnebclr, rnebss, gamma_ss)
+    DEALLOCATE(N1_ss, N2_ss)
+    DEALLOCATE(drneb_sub, drneb_con, drneb_tur, drneb_avi)
+    DEALLOCATE(zqsatl, zqsats)
+    DEALLOCATE(Tcontr, qcontr, qcontr2, fcontrN, fcontrP)
+
+    !--POPRECIP variables
+    DEALLOCATE(qraindiag, qsnowdiag)
+    DEALLOCATE(dqreva, dqssub)
+    DEALLOCATE(dqrauto, dqrcol, dqrmelt, dqrfreez)
+    DEALLOCATE(dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez)
+
+    IF (CPPKEY_STRATAER) THEN
+      ! variables for strat. aerosol CK
       DEALLOCATE (d_q_emiss)
       DEALLOCATE (R2SO4, R2SO4B)
@@ -1670,7 +1668,7 @@
       DEALLOCATE (budg_h2so4_to_part)
       DEALLOCATE (budg_sed_part)
-#endif
-
-END SUBROUTINE phys_local_var_end
+    END IF
+
+  END SUBROUTINE phys_local_var_end
 
 END MODULE phys_local_var_mod 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5098)
@@ -1440,5 +1440,4 @@
     'flx_co2_land_cor', 'correction of the CO2 flux from the land', 'kg CO2 m-2 s-1', (/ ('', i=1, 10) /))
 
-#ifdef CPP_StratAer
 !--extinction coefficient
   TYPE(ctrl_out), SAVE :: o_ext_strat_550 = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
@@ -1517,5 +1516,4 @@
   TYPE(ctrl_out), SAVE :: o_surf_PM25_sulf = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     'surf_PM25_sulf', 'Sulfate PM2.5 concentration at the surface', 'ug/m3', (/ ('', i=1, 10) /))
-#endif
 
 !!!!!!!!!!!!!!!!!!!!!! 3D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5098)
@@ -49,7 +49,5 @@
     ! ug Pour les sorties XIOS
     USE wxios
-#ifdef CPP_StratAer
    USE infotrac_phy, ONLY: nbtr_bin
-#endif
 #ifdef ISO
     USE isotopes_mod, ONLY: isoName,iso_HTO
@@ -58,4 +56,5 @@
 #endif
 #endif
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
 
     IMPLICIT NONE
@@ -171,7 +170,7 @@
     ALLOCATE(o_dtr_sscav(nqtot),o_dtr_sat(nqtot),o_dtr_uscav(nqtot))
     ALLOCATE(o_dtr_dry(nqtot),o_dtr_vdf(nqtot))
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
     ALLOCATE(o_nd_mode(nbtr_bin),o_sulfmmr_mode(nbtr_bin))
-#endif
+END IF
 #ifdef ISO
     ALLOCATE(o_xtprecip(ntraciso))
@@ -233,9 +232,5 @@
     clef_files(8) = ok_histNMC(2)
     clef_files(9) = ok_histNMC(3)
-#ifdef CPP_StratAer
-    clef_files(10)= .TRUE.
-#else
-    clef_files(10)= .FALSE.
-#endif
+    clef_files(10)= CPPKEY_STRATAER
 
     !sortir des fichiers "stations" si clef_stations(:)=.TRUE.
@@ -545,5 +540,5 @@
             tnam = 'cum'//TRIM(tracers(iq)%name); o_trac_cum(itr) = ctrl_out(flag, tnam, lnam, "-", [('',i=1,nfiles)])
             
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
             if(tracers(iq)%name(1:3)=='BIN') then
                itrb = itrb + 1
@@ -554,5 +549,5 @@
                tnam = TRIM(tracers(iq)%name)//'_sulfmmr_mode';o_sulfmmr_mode  (itrb) = ctrl_out(flag, tnam, lnam, "kg(H2SO4)/kg(air)", [('',i=1,nfiles)])
             endif
-#endif
+END IF
          ENDDO
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5098)
@@ -244,5 +244,4 @@
 #endif
 
-#ifdef CPP_StratAer
     USE infotrac_phy, ONLY: nbtr_bin
     USE phys_output_ctrlout_mod, ONLY:  & 
@@ -259,5 +258,4 @@
          o_vsed_aer, o_tau_strat_1020, o_ext_strat_1020, o_f_r_wet, &
          o_SAD_sulfate, o_sulfmmr, o_nd_mode, o_sulfmmr_mode
-#endif
 
     USE ice_sursat_mod, ONLY: flight_m, flight_h2o
@@ -402,6 +400,5 @@
     USE phys_output_var_mod, ONLY: scdnc, cldncl, reffclwtop, lcc, reffclws, &
          reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
-    
-#ifdef CPP_StratAer 
+
     USE phys_local_var_mod, ONLY:  &
          budg_3D_nucl, budg_3D_cond_evap, budg_3D_ocs_to_so2, budg_3D_so2_to_h2so4, &
@@ -417,5 +414,5 @@
          vsed_aer, tau_strat_1020, f_r_wet, &
          SAD_sulfate, sulfmmr, nd_mode, sulfmmr_mode
-#endif
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
 
     USE carbon_cycle_mod, ONLY: fco2_ff, fco2_bb, fco2_land, fco2_ocean
@@ -526,8 +523,6 @@
     REAL, DIMENSION(klon,klev) :: coefh_stok 
     
-#ifdef CPP_StratAer 
     LOGICAL, PARAMETER :: debug_strataer=.FALSE.
     CHARACTER(LEN=maxlen) :: unt
-#endif
     REAL,DIMENSION(klon,klev) :: z, dz
     REAL,DIMENSION(klon)      :: zrho, zt
@@ -1808,5 +1803,5 @@
 ! end add ThL
 
-#ifdef CPP_StratAer
+IF (CPPKEy_STRATAER) THEN
        IF (type_trac=='coag') THEN
           CALL histwrite_phy(o_R2SO4, R2SO4)
@@ -1850,5 +1845,5 @@
           ENDDO !--itr
        ENDIF
-#endif
+END IF
        !NL
        IF (ok_volcan .AND. ok_ade) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
@@ -94,4 +94,16 @@
     USE phys_output_var_mod, ONLY : cloud_cover_sw, cloud_cover_sw_s2
 
+    USE geometry_mod,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
+    USE time_phylmdz_mod,  ONLY: ndays
+    USE infotrac_phy,      ONLY: nqCO2
+
+    USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
+    USE vertical_layers_mod, ONLY: aps, bps, ap, bp
+
+
+    USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize, xios_get_field_attr, &
+            xios_field_is_active, xios_context, xios_set_current_context
+    USE wxios, ONLY: missing_val, using_xios
+    USE paramLMDZ_phy_mod
 
     !USE cmp_seri_mod
@@ -110,8 +122,4 @@
 #endif
 
-
-    USE geometry_mod,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
-    USE time_phylmdz_mod,  ONLY: ndays
-    USE infotrac_phy,      ONLY: nqCO2
 #ifdef REPROBUS
     USE chem_rep, ONLY: Init_chem_rep_xjour, d_q_rep, d_ql_rep, d_qi_rep, &
@@ -120,7 +128,4 @@
     USE strataer_emiss_mod, ONLY: strataer_emiss_init
 #endif
-    USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
-    USE vertical_layers_mod, ONLY: aps, bps, ap, bp
-
 
 #ifdef CPP_RRTM
@@ -129,20 +134,9 @@
 #endif
 
-
-#ifdef CPP_StratAer
     USE phys_local_var_mod, ONLY: d_q_emiss
     USE strataer_local_var_mod
     USE strataer_nuc_mod, ONLY: strataer_nuc_init
     USE strataer_emiss_mod, ONLY: strataer_emiss_init
-#endif
-
-    USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize
-    USE lmdz_xios, ONLY: xios_get_field_attr, xios_field_is_active, xios_context
-    USE lmdz_xios, ONLY: xios_set_current_context
-    USE wxios, ONLY: missing_val, using_xios
-
-#ifndef CPP_XIOS
-    USE paramLMDZ_phy_mod
-#endif
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
 !
 !
@@ -363,5 +357,5 @@
        reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
        USE output_physiqex_mod, ONLY: output_physiqex
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
+        USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
 
 
@@ -1764,7 +1758,7 @@
        WRITE(lunout,*)'OK freq_outNMC(3)=',freq_outNMC(3)
 
-#ifndef CPP_XIOS
+      IF (.NOT. using_xios) THEN
        CALL ini_paramLMDZ_phy(phys_tstep,nid_ctesGCM)
-#endif
+      END IF
 
 #endif
@@ -1891,9 +1885,9 @@
 #endif
 
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
        CALL strataer_init
        CALL strataer_nuc_init
        CALL strataer_emiss_init
-#endif
+END IF
 
 #ifdef CPP_Dust
@@ -4346,5 +4340,5 @@
           ELSE
 #ifdef CPP_RRTM
-#ifndef CPP_StratAer
+IF (.NOT. CPPKEY_STRATAER) THEN
           !--prescribed strat aerosols 
           !--only in the case of non-interactive strat aerosols
@@ -4357,5 +4351,5 @@
              CALL abort_physic(modname,abort_message,1)
             ENDIF
-#endif
+END IF
 #else
              abort_message='You should compile with -rrtm if running ' &
@@ -4369,10 +4363,10 @@
 !
 #ifdef CPP_RRTM
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
        !--compute stratospheric mask
        CALL stratosphere_mask(missing_val, pphis, t_seri, pplay, latitude_deg)
        !--interactive strat aerosols
        CALL calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
-#endif
+END IF
 #endif
        !--fin STRAT AEROSOL
@@ -4987,10 +4981,10 @@
     IF (ok_qch4) THEN
 !      d_q_ch4: H2O source from CH4 in MMR/s (mass mixing ratio/s or kg H2O/kg air/s)
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
        CALL stratH2O_methox(debut,paprs,d_q_ch4)
-#else
+ELSE
 !      ECMWF routine METHOX
        CALL METHOX(1,klon,klon,klev,q_seri,d_q_ch4,pplay)
-#endif
+END IF
        ! add humidity tendency due to methane
        d_q_ch4_dtime(:,:) = d_q_ch4(:,:)*phys_tstep
@@ -5001,5 +4995,5 @@
     !
     !
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
     IF (ok_qemiss) THEN
        flh2o=1
@@ -5044,5 +5038,5 @@
        END SELECT ! emission scenario (flag_emit)
     ENDIF
-#endif
+END IF
 
 !===============================================================
@@ -5419,5 +5413,5 @@
     ENDDO
 
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
     IF (ok_qemiss) THEN
        DO k = 1, klev
@@ -5425,5 +5419,5 @@
        ENDDO
     ENDIF
-#endif
+END IF
     IF (ok_qch4) THEN
        DO k = 1, klev
@@ -5726,7 +5720,7 @@
 #endif
 
-#ifndef CPP_XIOS
+    IF (.NOT. using_xios) THEN
       CALL write_paramLMDZ_phy(itap,nid_ctesGCM,ok_sync)
-#endif
+    END IF
 
 #endif
